> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job

> Retrieve details for a specific job.

Returns the full details for a job, including status history and payload.


## OpenAPI

````yaml GET /jobs/{job_id}
openapi: 3.1.0
info:
  title: Bedrock API
  version: 1.0.0
  description: >-
    REST API for construction document management and computer vision
    intelligence.
  contact:
    name: Bedrock Support
    url: https://bedrock.cv
    email: support@bedrock.cv
servers:
  - url: https://api.bedrock.cv
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /jobs/{job_id}:
    get:
      tags:
        - Jobs
      summary: Get job
      description: Retrieve job details including events and error info.
      operationId: getJob
      parameters:
        - $ref: '#/components/parameters/ApiVersionHeader'
        - name: job_id
          in: path
          required: true
          schema:
            type: string
          description: Job ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Job'
              example:
                data:
                  id: job_01JABCD123
                  organization_id: org_01JABCD123
                  project_id: prj_01JABCD123
                  type: overlay.generate
                  status: COMPLETED
                  target_type: Block
                  target_id: blk_01JABCD123
                  parent_id: null
                  payload:
                    type: Block
                    old_id: blk_01JABCD100
                    new_id: blk_01JABCD200
                  events:
                    - status: PENDING
                      timestamp: '2024-06-17T08:55:00Z'
                    - status: RUNNING
                      timestamp: '2024-06-17T08:55:02Z'
                    - status: COMPLETED
                      timestamp: '2024-06-17T08:56:30Z'
                  created_at: '2024-06-17T08:55:00Z'
                  updated_at: '2024-06-17T08:56:30Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    ApiVersionHeader:
      name: X-API-Version
      in: header
      required: false
      schema:
        type: string
        default: '2026-01-01'
      description: API version
  schemas:
    Job:
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        project_id:
          type: string
          nullable: true
        type:
          type: string
        status:
          type: object
        target_type:
          type: string
          nullable: true
        target_id:
          type: string
          nullable: true
        parent_id:
          type: string
          nullable: true
        payload:
          type: object
          additionalProperties:
            type: object
        events:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              timestamp:
                type: string
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                required:
                  - code
                  - message
            required:
              - status
          nullable: true
        results:
          type: object
          additionalProperties:
            type: object
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - organization_id
        - project_id
        - type
        - status
        - target_type
        - target_id
        - parent_id
        - payload
        - events
        - results
        - created_at
        - updated_at
      example:
        id: job_01JABCD123
        organization_id: org_01JABCD123
        project_id: prj_01JABCD123
        type: overlay.generate
        status: COMPLETED
        target_type: Block
        target_id: blk_01JABCD123
        parent_id: null
        payload:
          type: Block
          old_id: blk_01JABCD100
          new_id: blk_01JABCD200
        events:
          - status: PENDING
            timestamp: '2024-06-17T08:55:00Z'
          - status: RUNNING
            timestamp: '2024-06-17T08:55:02Z'
          - status: COMPLETED
            timestamp: '2024-06-17T08:56:30Z'
        created_at: '2024-06-17T08:55:00Z'
        updated_at: '2024-06-17T08:56:30Z'
    ApiError:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        instance:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - type
        - title
        - status
        - detail
      example:
        type: https://docs.bedrock.cv/errors/bad-request
        title: Bad Request
        status: 400
        detail: One or more request fields are invalid.
        instance: /projects
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: https://docs.bedrock.cv/errors/authentication
            title: Unauthorized
            status: 401
            detail: Invalid or missing API key.
            code: UNAUTHORIZED
            request_id: req_01JABCD123
    RateLimited:
      description: Rate limited
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: https://docs.bedrock.cv/errors/rate-limit
            title: Rate limited
            status: 429
            detail: Rate limit exceeded. Try again in 60 seconds.
            code: RATE_LIMITED
            request_id: req_01JABCD123
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'API key prefixed with `sk_`. Example: `Authorization: Bearer sk_xxx`'
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````